
Foreman - Tracker #18463

Export Table output to CSV/Excel/PDF - Tracker

02/12/2017 07:04 AM - Tomer Brisker

Status: Assigned % Done: 0%

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1146867 Red Hat JIRA:  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1146867

Description of problem:

To be able to do futher (complex) analysis of data outside of Foreman it shall be possible to export Table output to CSV / Excel /

PDF.

Exporting can also be handy for any dashboards to forward the output per mail e.g. for reporting to Management.

Related issues:

Related to Foreman - Feature #18761: allow user to select custom fields for c... New 03/02/2017

Related to Foreman - Feature #18762: Make export csv available on reports table Closed 03/02/2017

Related to Foreman - Feature #1359: export to csv, excel Closed 11/28/2011

Related to Foreman - Feature #20255: CSV export of UI table for hostgroups Closed 07/10/2017

Related to Foreman - Bug #20461: Using csv_exporter for katello csv exports e... Resolved 07/31/2017

Related to Foreman - Bug #20541: UI CSV Export of facts down not include nest... Closed 08/09/2017

Related to foreman-tasks - Feature #21378: Add CSV export button to tasks page Closed 10/18/2017

Blocked by Foreman - Feature #18760: Create method for exporting tables from ... Closed 03/02/2017

Blocked by Katello - Feature #18781: CSV export for products Ready For Testing03/02/2017

Blocked by Foreman - Feature #18954: Add CSV export to facts table Closed 03/19/2017

Blocked by Katello - Feature #19954: CSV export on Content Host page Closed 06/07/2017

Blocked by Katello - Feature #20439: CSV export for katello Tables Ready For Testing07/28/2017

History

#1 - 02/12/2017 07:15 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4270 added

#2 - 02/12/2017 07:17 AM - Tomer Brisker

- Description updated

- Priority changed from High to Normal

#3 - 02/21/2017 09:54 AM - Daniel Lobato Garcia

- Target version set to 1.11.0

#4 - 03/02/2017 03:58 AM - Tomer Brisker

- Tracker changed from Feature to Tracker

- Subject changed from Export Table output to CSV/Excel/PDF to Export Table output to CSV/Excel/PDF - Tracker

Turning this into a tracker as full implementation will require several steps which can be done separately.
#5 - 03/02/2017 04:03 AM - Tomer Brisker

- Blocked by Feature #18760: Create method for exporting tables from the UI as CSV  added

#6 - 03/02/2017 04:04 AM - Tomer Brisker

- Related to Feature #18761: allow user to select custom fields for csv export added

#7 - 03/02/2017 04:05 AM - Tomer Brisker

- Status changed from Ready For Testing to Assigned

#8 - 03/02/2017 04:07 AM - Tomer Brisker

- Related to Feature #18762: Make export csv available on reports table added

#9 - 03/14/2017 10:33 AM - Dominic Cleal

- Related to Feature #1359: export to csv, excel added

#10 - 03/16/2017 11:46 AM - Tomer Brisker

- Blocked by Feature #18781: CSV export for products added

#11 - 03/19/2017 08:13 AM - Tomer Brisker

- Blocked by Feature #18954: Add CSV export to facts table added

#12 - 06/07/2017 09:10 AM - Tomer Brisker

- Blocked by Feature #19954: CSV export on Content Host page added

#13 - 07/10/2017 05:45 AM - Tomer Brisker

- Related to Feature #20255: CSV export of UI table for hostgroups added

#14 - 08/01/2017 06:04 AM - Tomer Brisker

- Blocked by Feature #20439: CSV export for katello Tables added

#15 - 08/01/2017 06:04 AM - Tomer Brisker

- Related to Bug #20461: Using csv_exporter for katello csv exports ends up with empty headers and rows. added

#16 - 08/09/2017 09:56 AM - Tomer Brisker

- Related to Bug #20541: UI CSV Export of facts down not include nested values added

#17 - 10/18/2017 12:55 PM - Tomer Brisker

- Related to Feature #21378: Add CSV export button to tasks page added

#18 - 07/12/2018 11:37 AM - Tomer Brisker

- Target version deleted (1.11.0)
